Skip to navigation

Get groups

View as Markdown

Gets information about groups associated with the account.

To get the users in a group:

  1. Use this endpoint to get the group ID.
  2. Use listGroupUsers to get the list of users.

Authentication

AuthorizationBearer

OAuth 2.0 access token (JWT or auth-code grant). Sent as Authorization: Bearer <token> on every request except GET /v2.1 and GET /service_information, which are public discovery endpoints.

Path parameters

accountIdstringRequired

The external account number (int) or account ID Guid.

Query parameters

countstringOptional

The maximum number of results to return.

Use start_position to specify the number of results to skip.

Valid values: 1 to 100

group_typestringOptional

The type of group to return. Valid values:

  • AdminGroup
  • CustomGroup
  • EveryoneGroup
include_usercountstringOptional

When true, every group returned in the response includes a userCount property that contains the total number of users in the group. The default is true.

search_textstringOptional
Filters the results of a GET request based on the text that you specify.
start_positionstringOptional

The zero-based index of the result from which to start returning results.

Use with count to limit the number of results.

The default value is 0.

Response

Successful response.
endPositionstringOptional
The last index position in the result set.
groupslist of objectsOptional
A collection group objects containing information about the groups.
nextUristringOptional

The URI for the next chunk of records based on the search request. It is null if this is the last set of results for the search.

previousUristringOptional

The URI for the prior chunk of records based on the search request. It is null if this is the first set of results for the search.

resultSetSizestringOptional

The number of results in this response. Because you can filter which entries are included in the response, this value is always less than or equal to the totalSetSize.

startPositionstringOptional
The starting index position of the current result set.
totalSetSizestringOptional

The total number of items in the result set. This value is always greater than or equal to the value of resultSetSize.

Errors

400
Bad Request Error